> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 视频生视频（官方）

> 官方格式视频生视频。

**路径：** `POST https://api.omniall.ai/runwayml/v1/video_to_video`

鉴权：`Authorization: Bearer sk-...`



## OpenAPI

````yaml zh-CN/openapi/runway-official.yaml POST /runwayml/v1/video_to_video
openapi: 3.1.0
info:
  title: Omniall AI — Runway（官方格式）
  version: 1.0.0
  description: >-
    Runway 官方风格路径。


    **图生视频：** `POST https://api.omniall.ai/runwayml/v1/image_to_video`


    **视频生视频：** `POST /runwayml/v1/video_to_video`


    **查询：** `GET /runwayml/v1/tasks/{task_id}`


    模型： `gen3a_turbo`, `gen4_turbo`, `gen4_aleph`, … —
    见[模型广场](https://omniall.ai/pricing)。


    鉴权：`Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /runwayml/v1/video_to_video:
    post:
      tags:
        - Runway official
      summary: 视频生视频
      description: |-
        官方格式视频生视频。

        **路径：** `POST https://api.omniall.ai/runwayml/v1/video_to_video`

        鉴权：`Authorization: Bearer sk-...`
      operationId: runwayOfficialVideoToVideo
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API Key。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - videoUri
                - promptText
                - ratio
              properties:
                model:
                  type: string
                  example: gen4_aleph
                videoUri:
                  type: string
                  description: 源视频 HTTPS / Runway / data URI。
                promptText:
                  type: string
                  maxLength: 1000
                ratio:
                  type: string
                  example: '1280:720'
                seed:
                  type: integer
                  minimum: 0
                  maximum: 4294967295
                references:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        example: image
                      uri:
                        type: string
                contentModeration:
                  type: object
                  properties:
                    publicFigureThreshold:
                      type: string
                      enum:
                        - auto
                        - low
            examples:
              视频生视频:
                summary: 视频生视频
                value:
                  videoUri: https://example.com/video.mp4
                  promptText: 保持运动，重绘为霓虹赛博朋克风格
                  ratio: '1280:720'
                  seed: 4294967295
                  references:
                    - type: image
                      uri: https://example.com/image.jpg
                  contentModeration:
                    publicFigureThreshold: auto
                  model: gen4_aleph
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunwayOfficialTask'
components:
  schemas:
    RunwayOfficialTask:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          description: PENDING / RUNNING / SUCCEEDED / FAILED …
        createdAt:
          type: string
        output:
          type: array
          items:
            type: string
        progress:
          type: number
        failure:
          type: string
        failureReason:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.